<?xml version="1.0" encoding="utf-8"?>
<doctrine-mapping xmlns="http://doctrine-project.org/schemas/orm/doctrine-mapping" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://doctrine-project.org/schemas/orm/doctrine-mapping http://doctrine-project.org/schemas/orm/doctrine-mapping.xsd">
  <entity name="AppBundle\Entity\ConsultaPlan" table="consultasPlanes">
    <indexes>
      <index name="idPlan" columns="idPlan"/>
    </indexes>
    <id name="id" type="integer" column="id">
      <generator strategy="IDENTITY"/>
    </id>
    <field name="email" type="string" column="email" length="255" nullable="false">
      <options>
        <option name="fixed"/>
      </options>
    </field>
    <field name="nombre" type="string" column="nombre" length="255" nullable="false">
      <options>
        <option name="fixed"/>
      </options>
    </field>
    <field name="consulta" type="text" column="consulta" length="65535" nullable="false">
      <options>
        <option name="fixed"/>
      </options>
    </field>
    <field name="visible" type="boolean" column="visible" nullable="false"/>
    <field name="fechahora" type="datetime" column="fechaHora" nullable="false">
      <options>
        <option name="default">CURRENT_TIMESTAMP</option>
      </options>
    </field>
    <many-to-one field="idplan" target-entity="PlanEvento" fetch="LAZY">
      <join-columns>
        <join-column name="idPlan" referenced-column-name="id"/>
      </join-columns>
    </many-to-one>
  </entity>
</doctrine-mapping>
